Subject: RE: about cygwin setup
From: Khoa Do <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Thu, 15 Nov 2001 19:01:12 -0800

>Use the prev/curr/exp radio buttons at the top of the setup.exe screen to
toggle all currently installed
>packages between prev/curr/exp versions. As for getting the source for
everything, I've added that to the 
>wishlist. Finally, installing "everything" does not make sense - see the
list archives for the last couple of >days.

>Rob	

	Thanks for the suggestions and I did finally check the archives.  I
think I agree with Ralf Habacker that there should be preset configurations
that we can just click to install on a "new" machine.  I would wish for some
preset configurations like:

SELECT ONE OR MORE CONFIGURATIONS AND ONLY ONE SNAPSHOT:
--------------------------------------------------------
user
	previous	
	current
	experimental
developer
	previous	
	current
	experimental	
administrator 
	previous	
	current
	experimental
	
	Just a suggestion that I think would make a user's life a little
easier.  What do you think?

> -----Ursprüngliche Nachricht-----
> Von: [email-masked]
> [mailto:[email-masked]]Im Auftrag von Robert Collins
> Gesendet am: Donnerstag, 15. November 2001 13:15
> An: Ralf Habacker; Cygwin
> Betreff: Re: setup.exe suggestions
>
> ----- Original Message -----
> From: "Ralf Habacker" <[email-masked]>
>
> > > > 2) A way to quickly select/deselect all packages; I went to make a
> > > bare Cygwin installation, and deselecting almost every package was
> > > v.tiresome!
> > >
> ...> >
> > Perhaps it might be good to have a possibility to select predefined
> > configurations like suse linux yast allow.
> > For example
> > basic
> > web environment
> > delevopment
> > xfree
>
> It exists already. It's just that no groupings have been created. To
> create one, simply make a package with no files, ie an empty tarball,
> and dependencies.
>
Great. Thats means there could be a new category named "configurations" or
so
containing all the dummy tarballs with related dependencies.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/